# August 2025

## Multi-source Company data and Multi-source Company API

### Breaking change: n**ew field in news articles**

`news_articles.source`: Introduced a new field within the `news_articles` array to specify the origin/source of each article.

## **Glassdoor Jobs data**

### Data fields `pay_period` and `currency` new value formats

* Previously, pay\_period only used patterns: `HOURLY`, `MONTHLY`, `ANNUAL`, `YEAR`, or `NULL`. Now, values like `"Per Hour"` (and potentially others) may appear.
* For currency, symbols (e.g., `$`) may now appear instead of three-letter codes (`USD`, `EUR`, etc.) in certain cases.

Standard (old) `pay_period` and `currency` values are still a priority.

## **Employee Posts AP**

### Breaking change: `date_published` format update

* Old format: `YYYY-mm-ddTHH:MM:SSZ`
* New format: `YYYY-mm-dd`

**Action required**: Update your systems to handle the new date format to avoid parsing errors or data inconsistencies.

### Base Company API

### New **search filter `deleted`**

* Enables users to filter company profiles by deletion status.
* Accepts boolean values (`true` for deleted, `false` for active).
* Refer to the Base Company API [Search Filters](/company-api/base-company-api/endpoints/search-filters.md) documentation for full usage details.

## Webhooks subscriptions

### New **`Renew Subscription` endpoint**

Endpoint `POST /v2/subscriptions/{subscription_id}/renew` allows to extend the validity of an active webhook subscription.

**Limitation**: Cannot renew if already expired or if the new expiry would exceed 1 year.

**Sample request:**

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/subscriptions/{subscription_id}/renew' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

**Sample response:**

```json
{
  "id": "0e00dcae-9bfb-4edb-b4f6-a0991b20fb50",
  "status": "active",
  "created_at": "2025-04-24T12:00:00.000000",
  "expiring_at": "2025-10-24T12:00:00.000000"
}
```

**Error scenarios:**

* `400`: Subscription expired or would exceed 1-year duration.
* `404`: Subscription not found.
* `409`: Subscription is still being initialized.

## Bulk Collect

### Breaking changes: removing `data_format` as an input

* CSV is no longer a supported format.
* As JSON is now the default and only format, specifying data\_format is no longer necessary and is being removed from the input option.

## Field selection

The Field Selection feature for Collect and Enrich APIs enables you to choose what fields are required in the output from the available options in the documentation. As a result, this will have a better user experience as it will be more credit effective and data received will be focused on what's exactly required.

Use a query string parameter `fields` and specify the field you want to collect according to the applied entity. For multiple fields collection, separate each parameter with `&` symbol.

```
?fields={field_name1}&fields={field_name2}
```

See an example request of Multi-source Company API with selected collection fields

{% code title="Request example" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_multi_source/collect/{company_id}?fields=id&fields=company_name' \
 -H  "accept: application/json" 
 -H  "apikey: {API Key}"
```

{% endcode %}

Response example of the collect request would look like this:

{% code title="Response example" %}

```json
{
    "id": 1000000,
    "company_name": "Coresignal"
}
```

{% endcode %}

## Clean Company API

### **New feature: Bulk Collect endpoints**

Users can now retrieve Clean Company Data in bulk by submitting:

* Company IDs: `POST /v2/data_requests/company_clean/ids`
* Elasticsearch DSL queries: `POST /v2/data_requests/company_clean/es_dsl`
* Shorthand company names: `POST /v2/data_requests/company_clean/shorthand_names`
* Profile URLs: `POST /v2/data_requests/company_clean/urls`

GET endpoints:

* `GET /v2/data_requests/{data_request_id}/files`
* `GET /v2/data_requests/{data_request_id}/files/{file_name}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/release-notes/august-2025.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
